%define name lftp
%define version 2.3.8
%define release 2mdk
%define url ftp.yars.free.net:/pub/software/unix/net/ftp/client/lftp/

Summary: Commandline ftp client.
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{url}/%{name}-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
Source2: %{name}-%{version}-zh_TW.Big5.po
URL: http://ftp.yars.free.net/projects/lftp/
Patch0: lftp-2.3.0-mdkconf.patch.bz2
Patch1: lftp-2.2.0-lftpgetmanpage.patch.bz2
Patch2: lftp-2.3.5-with-lc.patch.bz2
Patch3: lftp-2.3.3-noreadline.patch.bz2
Patch4: lftp-2.3.8-big5.diff
Group: Networking/File transfer
BuildRequires: gpm-devel libncurses5-devel readline-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Prefix: %{_prefix}

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch1 -p1 
%patch2 -p1
%patch3 -p1
%patch4 -p1

cp %{SOURCE2} po/zh_TW.Big5.po

touch aclocal.m4
autoconf
automake

%build
CLFAGS="%optflags" CXXFLAGS="%optflags" ./configure \
 	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-modules
%make

%install
%makeinstall

#(cd po;make prefix=$RPM_BUILD_ROOT%{prefix} install)

#mkdir -p $RPM_BUILD_ROOT/etc
#install -c -m 644 lftp.conf $RPM_BUILD_ROOT/etc/
install -m644 lftpget.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

install -d %buildroot%{_iconsdir}
tar jxf  %{SOURCE1} -C %buildroot%{_iconsdir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/lftp
?package(lftp):needs="text" section="Networking/File transfer" \
title="Lftp" command="lftp" \
longtitle="Command line file transfer program" \
description="Reliable, easy and powerful ftp command-line client" \
icon=lftp.xpm
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING src/ChangeLog FAQ INSTALL MIRRORS NEWS 
%doc README.* THANKS TODO lftp.lsm BUGS
%defattr(-,root,root,0755)
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_iconsdir}/*.xpm
%{_iconsdir}/*/*.xpm
%{_menudir}/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/
%{_libdir}/%{name}/

%changelog
* Thu Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.8-2mdk
- Big5 Chinese translation from Abel Cheung (maddog@linuxhall.org).

* Mon Feb 19 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.8-1mdk
- release .

* Sun Jan 21 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.7-1mdk
- fixed OPIE/SKEY automatic password generation.  
- fixed put over http or hftp when server replies `100 Continue'.

* Fri Jan 12 2001  <daouda@ke.mandrakesoft.com> 2.3.6-1mdk
- release 
- regenerate patch1 (little change )
- patch 4 for bz{cat,more} integrated now.

* Wed Dec 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.5-4mdk
- change the buildrequires back to readline-devel which is what this package
  is called now.

* Fri Dec  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-3mdk
- Add bz{/cat/more} support.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-2mdk
- Change Buildrequires to the new lib policy.

* Sun Nov 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-1mdk
- insert longtitle.
- Reinsert the modules support.
- 2.3.5.

* Wed Nov 15 2000 Daouda Lo <daouda@mandrakesoft.com> 2.3.4-4mdk
- remove hardcoded path to binary in menu 

* Thu Nov 02 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-3mdk
- Rebuild for last gcc.

* Wed Oct 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-2mdk
- Disable modules support (temporary fixes for bug).

* Sun Oct 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-1mdk
- 2.3.4.

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.3-2mdk
- Don't compile with a custom readline take it from our tree.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.3-1mdk
- 2.3.3.

* Fri Sep 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-3mdk
- Correct icons (#458, #459).

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-2mdk
- Fix queue command.

* Fri Sep 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-1mdk
- Fix compilation with last libtool.
- 2.3.0.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.5-2mdk
- automatically added BuildRequires

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.5-1mdk
- new release
- use righ macros

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-3mdk
- Compile modules with -lc.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-2mdk
- Rebuild due to a bad macros.

* Tue Jul 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-1mdk
- More macros.
- BM.
- 2.2.4.

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3.
- Use find_lang and mandir macros.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-2mdk
- Fix menu icon.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-1mdk
- Add menu entry.
- Add lftpget.1 man page from debian package.
- 2.2.0 (using 2.2.0a in fact).

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.10-1mdk
- 2.1.10.
- Update groups.

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-2mdk
- Include src/ChangeLog not ChangeLog (outdated).
- 2.1.9.

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8-1mdk
- 2.1.8.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.7-1mdk
- 2.1.7.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.6-1mdk
- 2.1.6.
- use %configure.

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.
- Fix completion on directory.
- more alias.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.4.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.3.

* Wed Oct 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.2

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.0

* Wed Sep 22 1999 Daouda Lo <daouda@mandrakesoft.com>
- 2.0.5

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.0.4
- add the url
- fix a bug in spec that preventing from including locales
- fix permissions (now this could be builded as non root)

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.3 finale.

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- pre2.0.3-990722 from CVS.
- enable --with-modules.
- Relifting of Spec files.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Set passive by default (special Pixel ;-)).
- 2.0.1.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.0
